summaryrefslogtreecommitdiffstats
path: root/libraries/libbsd
diff options
context:
space:
mode:
author Daniel LEVAI <leva@ecentrum.hu>2011-02-20 09:09:57 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-02-20 09:09:57 -0300
commit5fb6f5dab8ac9bd2c14cc6ad1a5cb0f94337d557 (patch)
treebe2ba059420f7267ef83b2400be94206546be58a /libraries/libbsd
parent3143faadc21567800d435a2010b2eb52788c0972 (diff)
downloadslackbuilds-5fb6f5dab8ac9bd2c14cc6ad1a5cb0f94337d557.tar.gz
slackbuilds-5fb6f5dab8ac9bd2c14cc6ad1a5cb0f94337d557.tar.xz
libraries/libbsd: Added (common BSD functions)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'libraries/libbsd')
-rw-r--r--libraries/libbsd/README4
-rw-r--r--libraries/libbsd/libbsd.SlackBuild99
-rw-r--r--libraries/libbsd/libbsd.info10
-rw-r--r--libraries/libbsd/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/libraries/libbsd/README b/libraries/libbsd/README
new file mode 100644
index 0000000000..e263cefefe
--- /dev/null
+++ b/libraries/libbsd/README
@@ -0,0 +1,4 @@
+This library provides useful functions commonly found on BSD systems, and
+lacking on others like GNU systems, thus making it easier to port projects
+with strong BSD origins, without needing to embed the same code over and
+over again on each project.
diff --git a/libraries/libbsd/libbsd.SlackBuild b/libraries/libbsd/libbsd.SlackBuild
new file mode 100644
index 0000000000..7e1ef53b95
--- /dev/null
+++ b/libraries/libbsd/libbsd.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh -e
+
+# Copyright (c) 2010 Daniel LEVAI
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+# * Neither the name of the <organization> nor the
+# names of its contributors may be used to endorse or promote products
+# derived from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED ''AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Build script for libbsd
+
+PRGNAM=libbsd
+VERSION=0.2.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ];then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -Rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -Rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+#fix Makefile to use correct libdir and mandir
+sed -i \
+ -e "s|prefix}/lib|prefix}/lib$LIBDIRSUFFIX|g" \
+ -e "s|prefix}/share/man|prefix}/man|g" \
+ Makefile
+
+CFLAGS="$SLKCFLAGS" make
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a ChangeLog README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libbsd/libbsd.info b/libraries/libbsd/libbsd.info
new file mode 100644
index 0000000000..ccc8c72a41
--- /dev/null
+++ b/libraries/libbsd/libbsd.info
@@ -0,0 +1,10 @@
+PRGNAM="libbsd"
+VERSION="0.2.0"
+HOMEPAGE="http://libbsd.freedesktop.org/wiki/"
+DOWNLOAD="http://libbsd.freedesktop.org/releases/libbsd-0.2.0.tar.gz"
+MD5SUM="c6d5413e76949b14e4bf13258e63d355"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Daniel LEVAI"
+EMAIL="leva@ecentrum.hu"
+APPROVED="Niels Horn"
diff --git a/libraries/libbsd/slack-desc b/libraries/libbsd/slack-desc
new file mode 100644
index 0000000000..e9455684a1
--- /dev/null
+++ b/libraries/libbsd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libbsd: libbsd (library of BSD functions)
+libbsd:
+libbsd: This library provides useful functions commonly found on BSD systems,
+libbsd: and lacking on others like GNU systems, thus making it easier to port
+libbsd: projects with strong BSD origins, without needing to embed the same
+libbsd: code over and over again on each project.
+libbsd:
+libbsd: Homepage: http://libbsd.freedesktop.org/wiki/
+libbsd:
+libbsd:
+libbsd: